<?php

declare(strict_types=1);

namespace Drupal\netforum\xWeb;

/**
 * An Authenticate Token handler that does nothing.
 */
class NullAuthTokenHandler extends AuthTokenHandler {

  public function __construct() {
    parent::__construct(static fn(): bool => TRUE);
  }

  public function handlesTokenExpiry(): bool {
    return FALSE;
  }

}
